 EDID
======

Ein Projekt zum Manipulieren der EDIDs auf HDMI Signalen.

 Beschreibung
--------------
### Warum
Jeder Monitor hat eine [EDID](https://en.wikipedia.org/wiki/Extended_Display_Identification_Data) mit der er sich beim Rechner meldet. Dort stehen Informationen wie der Monitor heißt, von welchen Hersteller er ist aber auch welche Auflösung und Framerate für das Video er nativ Unterstützt.
Wenn man mal etwas Video Streaming gemacht hat, weiß man, das der Umgang mit externen Rechnern die zum Beispiel ihre Vortragspräsentation zeigen immer etwas mühsam ist, weil jeder ein einen anderen Umgang mit externen Monitoren hat. Wiri von [winkekatze.tv](https://winkekatze.tv) Streamen auf den meisten Events in 1920x1080 mit 50 oder 60 FPS.
Also wäre es ja ganz praktisch, wenn sich der Laptop, über das wir die Slides des Speakers bekommen, direkt mit der von uns gewünschten Auflösung und Framerate verbindet. Und genau dieses Feature erreichen wir, in dem wir eine eigene EDID gebastelt haben, in der die von uns gewünschte Auflöung als "nativ Unterstützt" angeprisen wird. Und diese EDID wird nun durch unsere gebastelte Hardware injected.

### Welche Hardware
Zum Speichern der EDIDs kommt der 24LC22 EEPROM zum Einsatz.
Dieses Löten wir auf ein EDID Emulator wie den AVT105, der damit nicht mehr die EDID des angeschlossenen Gerätes sondern die von uns geflashte an den angeschlossenen Rechner ausgibt.

Mehr details dazu in der [Lötanleitung.md](LOETANLEITUNG.md).

### Welche EDID
Wir haben uns an einen EDID Editor gesetzt und diese EDID gebastelt:
```
00 ff ff ff ff ff ff 00 59 e3 37 13 17 00 00 00
2a e9 01 03 80 4f 00 78 1a ee 95 a3 54 4c 99 26
0f 50 54 00 00 00 01 c0 01 00 01 00 01 00 01 00
01 00 01 00 01 00 02 3a 80 18 71 38 2d 40 58 2c
45 00 c4 8e 21 00 00 1e 00 00 00 fc 00 57 69 6e
6b 65 6b 61 74 7a 65 2e 54 56 00 00 00 fe 00 57
69 6e 6b 65 6b 61 74 7a 65 2e 54 56 00 00 00 fd
00 17 3c 0f 44 0f 00 00 00 00 00 00 00 00 01 16

02 03 0f 70 44 90 9f 21 22 e5 0d 10 1f 22 21 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 62
```

